Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1811174 - Review Request: golang-github-alibabacloud-tea - Alibaba Cloud (Aliyun) support for TEA OpenAPI DSL
Summary: Review Request: golang-github-alibabacloud-tea - Alibaba Cloud (Aliyun) suppo...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1811173
Blocks: 1811177
TreeView+ depends on / blocked
 
Reported: 2020-03-06 18:51 UTC by Brandon Perkins
Modified: 2020-08-03 20:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-03 20:44:25 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Brandon Perkins 2020-03-06 18:51:16 UTC
Spec URL: https://raw.githubusercontent.com/bdperkin/aliyun/master/SPECS/golang-github-alibabacloud-tea.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/bdperkin/aliyun/srpm-builds/01291462/golang-github-alibabacloud-tea-0.0.7-1.fc31.src.rpm
Description: 
Support for TEA OpenAPI DSL.
Fedora Account System Username: bdperkin
Note: These are my first packages and I need a sponsor.
Successful copr build: https://copr.fedorainfracloud.org/coprs/bdperkin/aliyun/build/01291462/

Comment 2 Robert-André Mauchin 🐧 2020-03-24 20:35:18 UTC
 - Enable the tests:

%bcond_without check

   There's a test error due to a change in *Go 1.14*, now URL are between quotes. Report it upstream and patch it locally with sed in %prep for now.

--- FAIL: Test_DoRequest (0.00s)
    assert.go:42: parse # #%gfdf: invalid URL escape "%gf" != 
                  parse "# #%gfdf": invalid URL escape "%gf"

sed -i 's|parse # #%%gfdf:|parse "# #%%gfdf":|' tea/tea_test.go


 - Bump to 0.0.11


 - License ok
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Comment 3 Brandon Perkins 2020-07-30 16:11:24 UTC
Spec URL: https://raw.githubusercontent.com/bdperkin/aliyun/master/SPECS/golang-github-alibabacloud-tea.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/8894/48198894/golang-github-alibabacloud-tea-1.1.7-1.fc33.src.rpm

Changes:
- Update to version 1.1.7 (#1811174)
- Enable check stage
- Clean changelog
- Test issue was already fixed upstream with version 1.1.7

Comment 4 Robert-André Mauchin 🐧 2020-08-02 22:46:06 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 5 Gwyn Ciesla 2020-08-03 13:13:38 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-alibabacloud-tea

Comment 6 Brandon Perkins 2020-08-03 20:44:25 UTC
CLOSED. In Rawhide (f33).


Note You need to log in before you can comment on or make changes to this bug.